import os
import xml.etree.ElementTree as ET
def check_values(file):
    tree = ET.parse(file)
    root = tree.getroot()

    crash = False
    goal = False

    for node in root.iter('node'):
        for value in node.iter('value'):
            if value.attrib['variable'] == 'crash' and value.text == 'TRUE':
                crash = True
            if value.attrib['variable'] == 'goal' and value.text == 'TRUE':
                goal = True
    return crash, goal

directory = 'tmp/AFMAS/TCP/monitor'  # replace with your directory
#directory = 'AFMAS/LAV/monitor'  # replace with your directory
count = 0
count1 = 0
abstract_scenarios = set()
start_num = 24
end_num = 25
file_types = ['.xml', '00.xml', '01.xml', '02.xml', '03.xml']
for file_type in file_types:
    count = 0
    count1 = 0
    for filename in sorted(os.listdir(directory)):
        if filename.endswith(file_type):
            abstract_scenario = filename.split('_')[1].split('-')[0]
            tree = ET.parse(os.path.join(directory, filename))
            root = tree.getroot()
            found = False
            crash = False
            goal = False

            for node in root.iter('node'):
                for value in node.iter('value'):
                    if value.attrib['variable'] == 'crash' and value.text == 'TRUE':
                        crash = True
                    if value.attrib['variable'] == 'goal' and value.text == 'TRUE':
                        goal = True
            #return crash, goal
            #crash, goal = check_values(filename)
            if crash and goal:
                count += 1
            if not goal:
                count1 +=1

    print('F(goal)', file_type, ':', count1)
    print('G(!crash) and !F(goal)', file_type, ':', count)

